Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 874426 - sys-apps/noexec-1.1.0-r1 - configure: error: installation or configuration problem: C compiler cannot create executables.
Summary: sys-apps/noexec-1.1.0-r1 - configure: error: installation or configuration pr...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: clang-16-porting
  Show dependency tree
 
Reported: 2022-10-03 07:58 UTC by Toralf Förster
Modified: 2022-10-15 20:07 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.88 KB, text/plain)
2022-10-03 07:58 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,41.51 KB, text/plain)
2022-10-03 07:58 UTC, Toralf Förster
Details
environment (environment,21.38 KB, text/plain)
2022-10-03 07:58 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,25.96 KB, application/x-bzip)
2022-10-03 07:58 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,852 bytes, application/x-bzip)
2022-10-03 07:58 UTC, Toralf Förster
Details
sys-apps:noexec-1.1.0-r1:20221002-233337.log (sys-apps:noexec-1.1.0-r1:20221002-233337.log,3.33 KB, text/plain)
2022-10-03 07:58 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,8.37 KB, application/x-bzip)
2022-10-03 07:58 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2022-10-03 07:58:10 UTC
checking for working autoheader... found
checking for working makeinfo... found
checking for gcc... clang
checking whether the C compiler (clang -pipe -march=native -fno-diagnostics-color -O2 -Werror=implicit-function-declaration -Werror=implicit-int -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.

!!! Please attach the following file when seeking support:

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-j4-20221002-133630

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-12.2.0 *
clang/llvm (if any):
clang version 15.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/15/bin
/usr/lib/llvm/15
15.0.1
Python 3.10.7
Available Ruby profiles:
  [1]   ruby30 *
Available Rust versions:
  [1]   rust-bin-1.64.0 *
The following VMs are available for generation-2:
*)	Eclipse Temurin JDK 17.0.4.1_p1 [openjdk-bin-17]
2)	Eclipse Temurin JDK 8.345_p01 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8 
  [2]   openjdk-bin-17  system-vm

php cli (if any):
GNU Make 4.3

  HEAD of ::gentoo
commit f0563c90e636da833af43e4a5334c6ebddd3cf6a
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sun Oct 2 22:16:57 2022 +0000

    2022-10-02 22:16:57 UTC

emerge -qpvO sys-apps/noexec
[ebuild  N    ] sys-apps/noexec-1.1.0-r1
Comment 1 Toralf Förster gentoo-dev 2022-10-03 07:58:11 UTC
Created attachment 816502 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2022-10-03 07:58:12 UTC
Created attachment 816505 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2022-10-03 07:58:13 UTC
Created attachment 816508 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2022-10-03 07:58:15 UTC
Created attachment 816511 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2022-10-03 07:58:16 UTC
Created attachment 816514 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2022-10-03 07:58:17 UTC
Created attachment 816517 [details]
sys-apps:noexec-1.1.0-r1:20221002-233337.log
Comment 7 Toralf Förster gentoo-dev 2022-10-03 07:58:18 UTC
Created attachment 816520 [details]
temp.tar.bz2
Comment 8 Larry the Git Cow gentoo-dev 2022-10-15 20:07:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=421bfb8a74b3b56e5c13cc0d4539bac9df51eb3a

commit 421bfb8a74b3b56e5c13cc0d4539bac9df51eb3a
Author:     Ionen Wolkens <ionen@gentoo.org>
AuthorDate: 2022-10-15 18:18:54 +0000
Commit:     Ionen Wolkens <ionen@gentoo.org>
CommitDate: 2022-10-15 20:06:46 +0000

    sys-apps/noexec: EAPI6->8, fix runtime, run eautoreconf for clang16
    
    wrt runtime, lacked $(get_libdir):
    
        ld.so: object '/usr/lib/libnoexec.so' from LD_PRELOAD
        cannot be preloaded
    
    (no bug, assume nobody actually use this)
    
    Don't think the glibc dependency makes sense, but given LD_PRELOAD
    tricks I would rather leave alone without inspecting and trying musl.
    
    Also GPL-2 -> GPL-2+, put glibc in RDEPEND too fwiw, and remove .la.
    
    Closes: https://bugs.gentoo.org/851816
    Closes: https://bugs.gentoo.org/874426
    Signed-off-by: Ionen Wolkens <ionen@gentoo.org>

 sys-apps/noexec/noexec-1.1.0-r1.ebuild | 14 --------------
 sys-apps/noexec/noexec-1.1.0-r2.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 14 deletions(-)